### Class

# Adw SqueezerPage

#### Description [src]

    final class Adw.SqueezerPage : GObject.Object {
      /* No available fields */
    }

An auxiliary class used by `AdwSqueezer`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_squeezer_page_get_child

Returns the squeezer child to which `self` belongs.

Available since: 1.0

###### adw_squeezer_page_get_enabled

Gets whether `self` is enabled.

Available since: 1.0

###### adw_squeezer_page_set_enabled

Sets whether `self` is enabled.

Available since: 1.0

##### Methods inherited from GObject (43)

#### Properties

###### Adw.SqueezerPage:child

The child of the page.

Available since: 1.0

###### Adw.SqueezerPage:enabled

Whether the child is enabled.

Available since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwSqueezerPageClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.